org.eclipse.jetty.security

## Class MappedLoginService.Anonymous

- java.lang.Object
- - org.eclipse.jetty.security.MappedLoginService.Anonymous

- All Implemented Interfaces:
    Serializable, Principal, MappedLoginService.UserPrincipal
  Enclosing class:
    MappedLoginService

      public static class MappedLoginService.Anonymous
      extends Object
      implements MappedLoginService.UserPrincipal, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappedLoginService.Anonymous()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `authenticate(Object credentials)`
    `String` | `getName()`
    `boolean` | `isAuthenticated()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `equals, hashCode, toString`

- - ### Constructor Detail

    - #### MappedLoginService.Anonymous

          public MappedLoginService.Anonymous()

  - ### Method Detail

    - #### isAuthenticated

          public boolean isAuthenticated()

      Specified by:
        `isAuthenticated` in interface `MappedLoginService.UserPrincipal`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Principal`

    - #### authenticate

          public boolean authenticate(Object credentials)

      Specified by:
        `authenticate` in interface `MappedLoginService.UserPrincipal`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.